org.apache.hadoop.yarn.nodelabels

## Class AbstractLabel

- java.lang.Object
- - org.apache.hadoop.yarn.nodelabels.AbstractLabel

- Direct Known Subclasses:
    RMNodeAttribute, RMNodeLabel

      public abstract class AbstractLabel
      extends Object

  Generic class capturing the information required commonly across Partitions and Attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLabel()`
    `AbstractLabel(String labelName)`
    `AbstractLabel(String labelName, org.apache.hadoop.yarn.api.records.Resource resource, int numActiveNMs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNode(org.apache.hadoop.yarn.api.records.Resource nodeRes)`
    `String` | `getLabelName()`
    `int` | `getNumActiveNMs()`
    `org.apache.hadoop.yarn.api.records.Resource` | `getResource()`
    `void` | `removeNode(org.apache.hadoop.yarn.api.records.Resource nodeRes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLabel

          public AbstractLabel()

    - #### AbstractLabel

          public AbstractLabel(String labelName)

    - #### AbstractLabel

          public AbstractLabel(String labelName,
                               org.apache.hadoop.yarn.api.records.Resource resource,
                               int numActiveNMs)

  - ### Method Detail

    - #### addNode

          public void addNode(org.apache.hadoop.yarn.api.records.Resource nodeRes)

    - #### removeNode

          public void removeNode(org.apache.hadoop.yarn.api.records.Resource nodeRes)

    - #### getResource

          public org.apache.hadoop.yarn.api.records.Resource getResource()

    - #### getNumActiveNMs

          public int getNumActiveNMs()

    - #### getLabelName

          public String getLabelName()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.